<?
// Multigraph mit GoogleChart V1.03
//
// Befehle für Liniengraphen
//
// Vari	 				= geloggte Variablen-ID einsetzen  		"Vari[0]=>12345
// YAchse	         = Zuordnung Graph Y-Achse 0 oder 1     "YAchse[0]"=>0
// YBeschriftung	   = Y-Achsen Beschriftung z.B.°C oder %  "YBeschriftung[0]"=>"°C"
// Zeitspanne     	= 1 = Tage, 2 = Wochen, 3 = Monate, 4 = Jahr    "Zeitspanne"=>3
// Pfad              = Zielordner für Graphen   "Pfad"=>"C:/ip-symcon/media/"
// filename       	= Filename wird im Zielordner gespeichert "filename"=>"Test 2"
// Farben	       	= Farben der Graphlinien 	"Farben[0]"=>"00008B"
// Size           	= Bildgrösse max. 30000 Bildpunkte  800x350  "Size"=>"800x350"
// Text	          	= Beschreibung Graphen  keine Eingabe = Variablename   z.B. "Text[0]"=>"Wert 1"
// Ueberschrift   	= TitelGraph      "Ueberschrift"=>"ÄÖÜßäöü"
// Endzeit           = Endzeit Graph z.B. 06-03-2011 22:12  ""=jetzt  "Endzeit"=>"06-03-2011 22:12"
// BoolOffset        = Wert für Boolean-Variable = True
// Trans		         = Transparenz bei Grpahenfüllung z.B. 0 = keine Füllung    1..FF = Transparenzgrad
// Hinter1,Hinter2   = Hintergrundfarbe bei Angabe von Hinter2 Farbverlauf von Hinter1 nach Hinter2
// Schriftfarbe      = Schriftfarbe Überschrift und Beschriftung X-,Y-Achse
// Dynamisch         = 0=Dynamisch 1=Profil
// Graphenart        = "Line" -Liniengraph   "TimeCompare" -Linegraph verschiedene Zeiträume
// TimeCompare       = Zeitverschiebung pro Variablen 0=keine Verschiebung 1=-1 Tag, 2=-1 Woche, 3 =-1 Monat, 4 =-1 Jahr
//
// Befehle für die Bargraphen
//
// Variablen als Zähler loggen!!
//
// Vari					= geloggte Variablen-ID einsetzen  		"Vari[0]=12345
// YBeschriftung	 	= Y-Achsen Beschriftung z.B.°C oder %  "YBeschriftung[0]"=>"°C"
// Zeitspanne     	= 1 = Tage, 2 = Wochen, 3 = Monate, 4 = Jahr    "Zeitspanne"=>3
// Pfad              = Zielordner für Graphen   "Pfad"=>"C:/ip-symcon/media/"
// filename       	= Filename wird im Zielordner gespeichert "filename"=>"Test 2"
// Farben[]        	= Farben der Graphlinien 	"Farben[0]"=>"00008B"
// Size           	= Bildgrösse max. 30000 Bildpunkte  800x350  "Size"=>"800x350"
// Text	          	= Beschreibung Graphen  keine Eingabe = Variablename   z.B. "Text[0]"=>"Wert 1"
// Ueberschrift   	= TitelGraph      "Ueberschrift"=>"ÄÖÜßäöü"
// Endzeit           = Endzeit Graph z.B. 06-03-2011 22:12  ""=jetzt  "Endzeit"=>"06-03-2011 22:12"
// Hinter1,Hinter2   = Hintergrundfarbe bei Angabe von Hinter2 Farbverlauf von Hinter1 nach Hinter2
// Schriftfarbe      = Schriftfarbe Überschrift und Beschriftung X-,Y-Achse
// Graphenart        = "Bar" -Bargraph
// Faktor            = Faktor für Berechnung bei z.B. S0-Zähler
// TimeCompare       = Zeitverschiebung pro Variablen 0=keine Verschiebung 1=-1 Tag, 2=-1 Woche, 3 =-1 Monat, 4 =-1 Jahr


$Vari 			= array (13363,35166);
$Trans   		= array (20,10,0,0);
$Farben  		= array ("00ffff","8a2be2","000022","00ff00","00008B");
$Text    		= array ("Füllstand","Wasserdruck","L2","L3");
$YBeschriftung = array ("Liter","bar");
$YAchse			= array (0,1,1,1,0,0);
//$Hinter1 = "000000";
//$Hinter2 = "FFFFFF";
$Zeitspanne = 2;
$Pfad	= "C:/ip-symcon/media/";
$filename = "Zisterne";
$Size = "800x350";
$Endzeit = "";
$Ueberschrift= "Regenwasser";
//$BoolOffset = 15;
$Schriftfarbe = "ffffff";
$Dynamisch = 0;
$Graphenart = "Line";
$TimeCompare = array(0,0,0,0,0);
$Faktor = array(0.5,0.5,0.5,0.5);

include("444Googlechart.ips.php");

?>
