<?
//************************
//  GoogleChart V1.03  19.03.2012
//************************
//!********************************************************************************
//!Idee zur Umsetzung verschiedener Zeitdarstellungen von Swissboy   Danke meike0_0
//!********************************************************************************


//**********************
//      BarGraph
//**********************
function BarGraph2 ($Vari,$ArchiveHandlerID,$starttime2, $endtime2, $Zeitspanne, $Faktor,$TimeCompare)
	{
	$Data 		= Array();
	$XAnzahl 	= array (0,24,7,30,12);
	$XDate   	= array (0,3600,86400,86400,86400);
	$Zeitraster = array (0,0,1,1,3);



	for($i=0;$i<count($Vari);$i++)
	   {
	   if($TimeCompare[$i] != 0)
			{
	   	$Zeitrueck = array(0,"-1 day","-1 week","- 1 month","-1 year");
	   	//echo $TimeCompare."  ";
	   	//echo strtotime($Zeitrueck[$TimeCompare],$starttime)."   ";
	   	//echo strtotime($Zeitrueck[$TimeCompare],$endtime);
	   	$starttime = strtotime($Zeitrueck[$TimeCompare[$i]],$starttime2);
	   	$endtime = strtotime($Zeitrueck[$TimeCompare[$i]],$endtime2);
			}
	   else
	      {
	   	$starttime = $starttime2;
	   	$endtime = $endtime2;
	   	}

	//Anpassung Anzahl Monatstage
	if ($Zeitspanne == 3)
	   $XAnzahl[3] = date ("t", $starttime);
	//echo "Anzahl Tage: ".$XAnzahl[3]."\n";

		$AggregationType = $Zeitraster;
  		$data			= AC_GetAggregatedValues($ArchiveHandlerID, $Vari[$i], $Zeitraster[$Zeitspanne], $starttime, $endtime, 0);
  		//$data			= AC_GetAggregatedValues($ArchiveHandlerID, $Vari[$i], 6, $starttime, $endtime, 0);
  		
		//echo "Count data:".count($data)."\n";
		$k = 0;

		for ($j=0;$j<$XAnzahl[$Zeitspanne];$j++)
		   {
		   $Data[$i][$j] = 0;
		   for ($k=0;$k<count($data);$k++)
		      {

		   	if ($Zeitspanne < 4)
		   	   //Auswertung Tag/Woche/Monat
		   	   {
	   			if ($starttime+($j*$XDate[$Zeitspanne]) == $data[$k]['TimeStamp'])
						{
						$Data[$i][$j] = $data[$k]['Avg']*$Faktor[$i];
						break;
						}
					}
				else
				   //Auswertung Jahr
				   {
					if ($j+1 == date("n",$data[$k]['TimeStamp']))
						{
						$Data[$i][$j] = $data[$k]['Avg']*$Faktor[$i];
						break;
					   }
     				}
				}
			}



		//print_r ($Data);
  		}
 	Return ($Data);
	}

//**********************
//      Barmima
//**********************
function Barmima ($Daten)
	{
	$mini = 	0;
	$maxi =  $Daten[0][0];
	//echo count($Daten);
	for ($j=0;$j<count($Daten);$j++)
	   {
	   //echo count($Daten[$j])." ";
		for ($k=0;$k<count($Daten[$j]);$k++)
		   {
		   if ($maxi < $Daten[$j][$k])
		      $maxi = $Daten[$j][$k];

		   if ($mini > $Daten[$j][$k])
		      $mini = $Daten[$j][$k];
			}
		}
	//echo $mini." ".$maxi;

	//print_r ($Daten);

	return ($mini.",".$maxi);
	}

function encodeBar($Daten,$mini,$maxi)
	{
	//print_r($Daten);
	$Text				= 'A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,0,1,2,3,4,5,6,7,8,9,-,.';
	$text = explode (",",$Text);
	
	for ($j=0;$j<count($Daten);$j++)
		{
		//$text				= 'A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z,a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,0,1,2,3,4,5,6,7,8,9,-,.';
   	$laenge  = count($Daten[$j]);

		if ($maxi-$mini)
		   {
			$const      = 4095/($maxi-$mini);
			}
		else
		   $const      = 4095;

		$chartData 	= "";
		for($i=0; $i<$laenge; $i++)
			{
			$dat = round(($Daten[$j][$i]-$mini)*$const,0);

			if ($dat < 64)
		 	  	{
		 	  	$dat1 = 0;
		   	$dat2 = $dat;
				}
  			else
  		   	{
				$dat1 = floor($dat/64);
         	$dat2 = $dat-($dat1*64);
         	}
			//$chartData .= $text[$dat1].$text[$dat2];
         $chartData .= $text[$dat1].$text[$dat2];
			}

		if ($j != 0)
			$Datengesamt .= ",".$chartData;
		else
      	$Datengesamt = $chartData;
   	}

	return ($Datengesamt);
	}

?>